package it.sw.pa.comune.artegna.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class MessaggioDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(MessaggioDTO.class);
        MessaggioDTO messaggioDTO1 = new MessaggioDTO();
        messaggioDTO1.setId(1L);
        MessaggioDTO messaggioDTO2 = new MessaggioDTO();
        assertThat(messaggioDTO1).isNotEqualTo(messaggioDTO2);
        messaggioDTO2.setId(messaggioDTO1.getId());
        assertThat(messaggioDTO1).isEqualTo(messaggioDTO2);
        messaggioDTO2.setId(2L);
        assertThat(messaggioDTO1).isNotEqualTo(messaggioDTO2);
        messaggioDTO1.setId(null);
        assertThat(messaggioDTO1).isNotEqualTo(messaggioDTO2);
    }
}
